# Method Protocols.LDAP.client()->add()

Method add

  ``int` add(`string` `dn`, `mapping`(`string`:`array`(`string`)) `attrs`)`

Description

  The Add Operation allows a client to request the addition of an entry into the directory

Parameter `dn`

  The Distinguished Name of the entry to be added.

Parameter `attrs`

  The mapping of attributes and their values that make up the content of the entry being added. Values that are sent UTF-8 encoded according the the attribute syntaxes are encoded automatically.

Returns

  Returns `1` on success, `0` otherwise.

Note

  The API change: the returning code was changed in Pike 7.3+ to follow his logic better.